Finance And Operations Maintenance Settings - Update Fin Ops Maintenance Settings
Update Finance and Operations Maintenance Settings.
Updates the F&O maintenance settings for an environment managed by Power Platform admin center.
PUT https://api.powerplatform.com/dynamics/environments/{environmentId}/finopsadminsettings?api-version=2022-03-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
environment
|
path | True |
string (uuid) |
The unique identifier of the environment. |
|
api-version
|
query | True |
string |
The API version. |
Request Body
| Name | Type | Description |
|---|---|---|
| updatedMaintenanceWindowCadence |
Cadence for major version application updates. |
|
| updatedMaintenanceWindowDaysOfWeek |
The updated maintenance window days of the week. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully updated Finance and Operations Maintenance. |
|
| 400 Bad Request |
Bad Request. |
|
| 401 Unauthorized |
Unauthorized. |
|
| 403 Forbidden |
Forbidden. |
|
| 404 Not Found |
Not Found. |
|
| 500 Internal Server Error |
Internal Server Error. |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
| Error | |
|
Fin |
Finance and Operations Maintenance response. |
|
Fin |
Day of the week (aligned with .NET System.DayOfWeek enum). |
|
Fin |
Standard error response. |
|
Fin |
Cadence for major version application updates. |
|
Update |
Request body for updating Finance and Operations Maintenance. |
Error
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code. |
| message |
string |
Error message. |
FinOpsAdminSettingsResponse
Finance and Operations Maintenance response.
| Name | Type | Description |
|---|---|---|
| maintenanceWindowCadence |
Cadence for major version application updates. |
|
| maintenanceWindowDaysOfWeek |
The preferred days of week for RunOne Updates. |
FinOpsDayOfWeek
Day of the week (aligned with .NET System.DayOfWeek enum).
| Value | Description |
|---|---|
| Sunday | |
| Monday | |
| Tuesday | |
| Wednesday | |
| Thursday | |
| Friday | |
| Saturday |
FinOpsErrorResponse
Standard error response.
| Name | Type | Description |
|---|---|---|
| error |
FinOpsUpdateCadence
Cadence for major version application updates.
| Value | Description |
|---|---|
| EveryUpdate | |
| EveryOtherUpdate | |
| Regulated |
UpdateFinOpsAdminSettingsRequestBody
Request body for updating Finance and Operations Maintenance.
| Name | Type | Description |
|---|---|---|
| updatedMaintenanceWindowCadence |
Cadence for major version application updates. |
|
| updatedMaintenanceWindowDaysOfWeek |
The updated maintenance window days of the week. |